//
//  DepotModel.swift
//  DocHub
//
//  Created by Tristan Juricek on 6/11/14.
//  Copyright (c) 2014 Perforce. All rights reserved.
//

import Foundation

// Used to represent Perforce depots in a "library" that represents a Perforce
// connection.
class P4Depot : NSObject, HasDepotPath {
    
    var time: Int
    var type: String
    var desc: String
    var name: String
    var depotPath: String {
        return "//\(name)"
    }
    
    init(time tm:Int, type ty:String, desc de:String, name na:String) {
        time = tm
        type = ty
        desc = de
        name = na
    }
}